<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/classes/useractionscomponent/actions/continuous/expansionactiondamagebasebuilding.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d5c/a08872_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionactiondamagebasebuilding.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/d5c/a08872.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d7/d5c/a08872.html#ab6a9e7bc8789cddeac2272661a9f7da6">    1</a></span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ActionDamageBaseBuilding.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../df/df2/a03638.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../df/df2/a03638.html">ExpansionActionDamageBaseBuildingCB</a> : ActionContinuousBaseCB</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../df/df2/a03638.html#a89b63e284ef0a2c0a9975ce2f1e72366">   15</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/df2/a03638.html#a89b63e284ef0a2c0a9975ce2f1e72366">CreateActionComponent</a>()</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        m_ActionData.m_ActionComponent = <span class="keyword">new</span> CAContinuousTime( 1 );</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    }</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>}</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="keyword">class </span><a class="code hl_function" href="../../d7/d5c/a08872.html#ab6a9e7bc8789cddeac2272661a9f7da6">ExpansionActionDamageBaseBuilding</a>: <a class="code hl_class" href="../../df/dd9/a04702.html">ActionContinuousBase</a></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>{</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d5c/a08872.html#ab6a9e7bc8789cddeac2272661a9f7da6">ExpansionActionDamageBaseBuilding</a>()</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d7/d5c/a08872.html#a31cb402a575585bac90f7e97ee5066b1">   24</a></span>    {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        m_CallbackClass = <a class="code hl_class" href="../../df/df2/a03638.html">ExpansionActionDamageBaseBuildingCB</a>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        m_CommandUID = DayZPlayerConstants.CMD_ACTIONFB_DISASSEMBLE;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        m_FullBody = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        m_StanceMask = DayZPlayerConstants.STANCEMASK_ERECT;                </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        m_SpecialtyWeight = UASoftSkillsWeight.ROUGH_HIGH;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../d7/d5c/a08872.html#a6b922d3bb1d26f790bc52030566ba2df">   32</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d5c/a08872.html#a6b922d3bb1d26f790bc52030566ba2df">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    {   </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        m_ConditionItem = <span class="keyword">new</span> CCINonRuined;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        m_ConditionTarget = <span class="keyword">new</span> CCTNonRuined( UAMaxDistances.BASEBUILDING );</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d7/d5c/a08872.html#af127b91bedeb70f79583b0183d86be98">   38</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d7/d5c/a08872.html#af127b91bedeb70f79583b0183d86be98">GetText</a>()</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {       </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;#destroy&quot;</span>; <span class="comment">//! placeholder, pls fix</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    }</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../d7/d5c/a08872.html#aa9aa4864fae11769c65e644b5fd97c66">   43</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/d9b/a08833.html#add59dc9e9e85a3185ba2cede7cf9449f">ActionCondition</a>( <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> player, <a class="code hl_class" href="../../d1/de3/a04854.html">ActionTarget</a> target, <a class="code hl_class" href="../../d7/d82/a03774.html">ItemBase</a> item )</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    {   </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        Object target_obj = target.GetObject();</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="keywordflow">if</span> ( target_obj.IsKindOf(<span class="stringliteral">&quot;ExpansionBaseBuilding&quot;</span>) &amp;&amp; item.IsMeleeWeapon())</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span> </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../d7/d5c/a08872.html#a00cda41fe9dd093059da5c4b83b591bc">   54</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/dd9/a04702.html#aa2077ea4b7046ea9fff3b4e88f035cb1">OnFinishProgressServer</a>( ActionData action_data )</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    {   </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <a class="code hl_class" href="../../d0/d0b/a03910.html">BaseBuildingBase</a> base_building = <a class="code hl_class" href="../../d0/d0b/a03910.html">BaseBuildingBase</a>.Cast( action_data.m_Target.GetObject() );</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <span class="keywordtype">string</span> ammoType = action_data.m_MainItem.GetMeleeCombatData().GetAmmoTypeName(0);</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <span class="keywordtype">string</span> dmgPath = <span class="stringliteral">&quot;CfgAmmo&quot;</span> + <span class="stringliteral">&quot; &quot;</span> + ammoType + <span class="stringliteral">&quot; &quot;</span> + <span class="stringliteral">&quot;DamageApplied&quot;</span> + <span class="stringliteral">&quot; &quot;</span> + <span class="stringliteral">&quot;Health&quot;</span> + <span class="stringliteral">&quot; &quot;</span> + <span class="stringliteral">&quot;Damage&quot;</span>;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../d7/d5c/a08872.html#ab5976173dbe840aa82fce09e0e8680a6">   61</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/d5c/a08872.html#ab5976173dbe840aa82fce09e0e8680a6">DestroyCondition</a>( <a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> player, <a class="code hl_class" href="../../d1/de3/a04854.html">ActionTarget</a> target, <a class="code hl_class" href="../../d7/d82/a03774.html">ItemBase</a> item, <span class="keywordtype">bool</span> camera_check )</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    {   </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <span class="keywordflow">if</span> ( player &amp;&amp; !player.IsLeaning() )</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        {</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            Object target_object = target.GetObject();</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>            <span class="keywordflow">if</span> ( target_object &amp;&amp; target_object.CanUseConstruction() )</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            {</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>                <span class="keywordtype">string</span> part_name = target_object.GetActionComponentName( target.GetComponentIndex() );</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>                </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>                <a class="code hl_class" href="../../d0/d0b/a03910.html">BaseBuildingBase</a> base_building = <a class="code hl_class" href="../../d0/d0b/a03910.html">BaseBuildingBase</a>.Cast( target_object );</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>                <a class="code hl_class" href="../../d7/d70/a03498.html">Construction</a> construction = base_building.GetConstruction();        </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>                <a class="code hl_class" href="../../d1/d5e/a03502.html">ConstructionPart</a> construction_part = construction.GetConstructionPartToDestroy( part_name );</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>                </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>                <span class="keywordflow">if</span> ( construction_part )</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>                {<span class="comment"></span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span><span class="comment">                    //! Camera and position checks</span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span><span class="comment"></span>                    <span class="keywordflow">if</span> ( base_building.IsFacingPlayer( player, part_name ) &amp;&amp; !player.GetInputController().CameraIsFreeLook() )</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>                    {<span class="comment"></span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span><span class="comment">                        //! Camera check </span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span><span class="comment"></span>                        <span class="keywordflow">if</span> ( camera_check )</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>                        {</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>                            <span class="keywordflow">if</span> ( GetGame() &amp;&amp; ( !GetGame().IsMultiplayer() || GetGame().IsClient() ) )</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>                            {</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>                                <span class="keywordflow">if</span> ( !base_building.IsFacingCamera( part_name ) )</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>                                {</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>                                    <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>                                }</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>                            }</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>                        }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span> </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>                        ConstructionActionData construction_action_data = player.GetConstructionActionData();</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>                        construction_action_data.SetTargetPart( construction_part );</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>                        </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>                        <span class="keywordflow">return</span> <span class="keyword">true</span>;                </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>                    }</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>                }</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>            }</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        }</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        </div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    }</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno"><a class="line" href="../../d7/d5c/a08872.html#a5cf7c0a3bd1ed2154d3b917244047a40">  103</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d7/d5c/a08872.html#a5cf7c0a3bd1ed2154d3b917244047a40">GetAdminLogMessage</a>(ActionData action_data)</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    {</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot; destroyed &quot;</span> + action_data.m_Target.GetObject().GetDisplayName() + <span class="stringliteral">&quot; with &quot;</span> + action_data.m_MainItem.GetDisplayName();</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    }</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>}</div>
<div class="ttc" id="aa03498_html"><div class="ttname"><a href="../../d7/d70/a03498.html">Construction</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d80/a08773_source.html#l00013">construction.c:14</a></div></div>
<div class="ttc" id="aa03502_html"><div class="ttname"><a href="../../d1/d5e/a03502.html">ConstructionPart</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d2d/a00047_source.html#l00013">constructionpart.c:14</a></div></div>
<div class="ttc" id="aa03638_html"><div class="ttname"><a href="../../df/df2/a03638.html">ExpansionActionDamageBaseBuildingCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d5c/a08872_source.html#l00013">expansionactiondamagebasebuilding.c:14</a></div></div>
<div class="ttc" id="aa03638_html_a89b63e284ef0a2c0a9975ce2f1e72366"><div class="ttname"><a href="../../df/df2/a03638.html#a89b63e284ef0a2c0a9975ce2f1e72366">ExpansionActionDamageBaseBuildingCB::CreateActionComponent</a></div><div class="ttdeci">override void CreateActionComponent()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d5c/a08872_source.html#l00015">expansionactiondamagebasebuilding.c:15</a></div></div>
<div class="ttc" id="aa03774_html"><div class="ttname"><a href="../../d7/d82/a03774.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d7f/a00287_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aa03910_html"><div class="ttname"><a href="../../d0/d0b/a03910.html">BaseBuildingBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d45/a08941_source.html#l00013">basebuildingbase.c:14</a></div></div>
<div class="ttc" id="aa03966_html"><div class="ttname"><a href="../../df/de5/a03966.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d29/a08947_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aa04702_html"><div class="ttname"><a href="../../df/dd9/a04702.html">ActionContinuousBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d7c/a01073_source.html#l00013">actioncontinuousbase.c:14</a></div></div>
<div class="ttc" id="aa04702_html_aa2077ea4b7046ea9fff3b4e88f035cb1"><div class="ttname"><a href="../../df/dd9/a04702.html#aa2077ea4b7046ea9fff3b4e88f035cb1">ActionContinuousBase::OnFinishProgressServer</a></div><div class="ttdeci">override void OnFinishProgressServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d90/a02177_source.html#l00015">actionbases.c:15</a></div></div>
<div class="ttc" id="aa04854_html"><div class="ttname"><a href="../../d1/de3/a04854.html">ActionTarget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d35/a01184_source.html#l00016">actiontargets.c:17</a></div></div>
<div class="ttc" id="aa08833_html_add59dc9e9e85a3185ba2cede7cf9449f"><div class="ttname"><a href="../../db/d9b/a08833.html#add59dc9e9e85a3185ba2cede7cf9449f">ActionCondition</a></div><div class="ttdeci">modded class ActionBuildPartCB ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d9b/a08833_source.html#l00014">actionbuildpart.c:27</a></div></div>
<div class="ttc" id="aa08872_html_a5cf7c0a3bd1ed2154d3b917244047a40"><div class="ttname"><a href="../../d7/d5c/a08872.html#a5cf7c0a3bd1ed2154d3b917244047a40">GetAdminLogMessage</a></div><div class="ttdeci">override string GetAdminLogMessage(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d5c/a08872_source.html#l00103">expansionactiondamagebasebuilding.c:103</a></div></div>
<div class="ttc" id="aa08872_html_a6b922d3bb1d26f790bc52030566ba2df"><div class="ttname"><a href="../../d7/d5c/a08872.html#a6b922d3bb1d26f790bc52030566ba2df">CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d5c/a08872_source.html#l00032">expansionactiondamagebasebuilding.c:32</a></div></div>
<div class="ttc" id="aa08872_html_ab5976173dbe840aa82fce09e0e8680a6"><div class="ttname"><a href="../../d7/d5c/a08872.html#ab5976173dbe840aa82fce09e0e8680a6">DestroyCondition</a></div><div class="ttdeci">protected bool DestroyCondition(PlayerBase player, ActionTarget target, ItemBase item, bool camera_check)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d5c/a08872_source.html#l00061">expansionactiondamagebasebuilding.c:61</a></div></div>
<div class="ttc" id="aa08872_html_ab6a9e7bc8789cddeac2272661a9f7da6"><div class="ttname"><a href="../../d7/d5c/a08872.html#ab6a9e7bc8789cddeac2272661a9f7da6">ExpansionActionDamageBaseBuilding</a></div><div class="ttdeci">ExpansionActionDamageBaseBuildingCB ActionContinuousBaseCB ExpansionActionDamageBaseBuilding()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d5c/a08872_source.html#l00001">expansionactiondamagebasebuilding.c:23</a></div></div>
<div class="ttc" id="aa08872_html_af127b91bedeb70f79583b0183d86be98"><div class="ttname"><a href="../../d7/d5c/a08872.html#af127b91bedeb70f79583b0183d86be98">GetText</a></div><div class="ttdeci">override string GetText()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d5c/a08872_source.html#l00038">expansionactiondamagebasebuilding.c:38</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_e66306a3976d6d81f5e1305840c1314d.html">BaseBuilding</a></li><li class="navelem"><a class="el" href="../../dir_92106a510097343a3fe1c14124c59151.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_844bf89108e22cf51aae4b5452c2c906.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_a0e24776517e17f620f1adfb86971bb4.html">dayzexpansion_basebuilding</a></li><li class="navelem"><a class="el" href="../../dir_7c54c617c523e91968b06f6c4d40561c.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_c81cc1ad0bcb4f6919dc1b9d5f9d5d05.html">useractionscomponent</a></li><li class="navelem"><a class="el" href="../../dir_60d28b9c29e7916a419493eda4bdadab.html">actions</a></li><li class="navelem"><a class="el" href="../../dir_dea99779acbc8a5a409ad43fc49953ad.html">continuous</a></li><li class="navelem"><a class="el" href="../../d7/d5c/a08872.html">expansionactiondamagebasebuilding.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
